All of lore.kernel.org
 help / color / mirror / Atom feed
From: Kevin Wolf <kwolf@redhat.com>
To: qemu-devel@nongnu.org
Cc: kwolf@redhat.com, stefanha@gmail.com
Subject: [Qemu-devel] [PATCH v2 3/3] Add 'make check-block'
Date: Fri,  9 Mar 2012 13:46:37 +0100	[thread overview]
Message-ID: <1331297197-4289-4-git-send-email-kwolf@redhat.com> (raw)
In-Reply-To: <1331297197-4289-1-git-send-email-kwolf@redhat.com>

Runs the full qemu-iotests suite for various image formats.

Signed-off-by: Kevin Wolf <kwolf@redhat.com>
---
 tests/Makefile       |    6 +++++-
 tests/check-block.sh |   21 +++++++++++++++++++++
 2 files changed, 26 insertions(+), 1 deletions(-)
 create mode 100755 tests/check-block.sh

diff --git a/tests/Makefile b/tests/Makefile
index 571ad42..6b4f4aa 100644
--- a/tests/Makefile
+++ b/tests/Makefile
@@ -47,6 +47,10 @@ test-qmp-commands: test-qmp-commands.o $(qobject-obj-y) $(qapi-obj-y) $(tools-ob
 
 $(SRC_PATH)/tests/qemu-iotests-quick.sh: qemu-img qemu-io
 
-.PHONY: check
+
+.PHONY: check check-block
 check: $(CHECKS)
 	$(call quiet-command, gtester $(CHECKS), "  CHECK")
+
+check-block:
+	$(call quiet-command, $(SRC_PATH)/tests/check-block.sh , "  CHECK")
diff --git a/tests/check-block.sh b/tests/check-block.sh
new file mode 100755
index 0000000..b9d9c6a
--- /dev/null
+++ b/tests/check-block.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+export QEMU_PROG="$(pwd)/x86_64-softmmu/qemu-system-x86_64"
+export QEMU_IMG_PROG="$(pwd)/qemu-img"
+export QEMU_IO_PROG="$(pwd)/qemu-io"
+
+if [ ! -x $QEMU_PROG ]; then
+    echo "'make check-block' requires qemu-system-x86_64"
+    exit 1
+fi
+
+cd $SRC_PATH/tests/qemu-iotests
+
+ret=0
+./check -T -nocache -raw || ret=1
+./check -T -nocache -qcow2 || ret=1
+./check -T -nocache -qed|| ret=1
+./check -T -nocache -vmdk|| ret=1
+./check -T -nocache -vpc || ret=1
+
+exit $ret
-- 
1.7.6.5

  parent reply	other threads:[~2012-03-09 12:43 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-03-09 12:46 [Qemu-devel] [PATCH v2 0/3] make check: Add qemu-iotests subset Kevin Wolf
2012-03-09 12:46 ` [Qemu-devel] [PATCH v2 1/3] qemu-iotests: Mark some tests as quick Kevin Wolf
2012-03-09 12:46 ` [Qemu-devel] [PATCH v2 2/3] make check: Add qemu-iotests subset Kevin Wolf
2012-03-09 13:20   ` Stefan Hajnoczi
2012-03-09 14:09     ` Kevin Wolf
2012-03-09 15:44       ` Stefan Hajnoczi
2012-03-09 19:31   ` Anthony Liguori
2012-03-12  8:34     ` Kevin Wolf
2012-03-09 12:46 ` Kevin Wolf [this message]
2012-03-09 13:26   ` [Qemu-devel] [PATCH v2 3/3] Add 'make check-block' Andreas Färber
2012-03-09 14:05     ` Kevin Wolf
2012-03-09 14:12       ` Andreas Färber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1331297197-4289-4-git-send-email-kwolf@redhat.com \
    --to=kwolf@redhat.com \
    --cc=qemu-devel@nongnu.org \
    --cc=stefanha@gmail.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.